/*
 *  Draco Econometrics
 *  Copyright (C) 2006-2007 Approximatrix, LLC
 *  http://www.approximatrix.com
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.approximatrix.draco.math.mesp.psuedologic;

import com.graphbuilder.math.func.Function;

/** Implements a pseudo-"greater than or equal to" test.  Returns a double 1.0 if the
 * first parameter is greater than or equal to the second, 0.0 otherwise
 * 
 * @author armstrongj
 *
 */
public class GEFunction implements Function {

	public GEFunction() {}
	
	public double of(double[] arg0, int arg1) {
		double return_value = 0.0;
		if(arg1 == 2) {
			if(arg0[0] >= arg0[1])
				return_value = 1.0;
		}
		return return_value;
	}

	public boolean acceptNumParam(int arg0) {
		return arg0==2;
	}

	public String toString() {
		return "ge(x,y)";
	}

}
